/*
@ @licstart  The following is the entire license notice for the
JavaScript code in this file.

Copyright (C) 1997-2017 by Dimitri van Heesch

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

@licend  The above is the entire license notice
for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "libzypp", "index.html", [
    [ "Welcome to libzypp", "index.html", [
      [ "What is libzypp?", "index.html#whatis", null ],
      [ "Implementation", "index.html#impl", null ],
      [ "Other functionality offered by libzypp", "index.html#otherfunc", null ],
      [ "3rd party software libzypp is based on", "index.html#thirdpfunc", null ],
      [ "Join the community", "index.html#join", null ],
      [ "License", "index.html#license", null ]
    ] ],
    [ "[Dropped in Code 15] Code 12 Application Metadata", "zypp-appdata.html", [
      [ "Intro", "zypp-appdata.html#zypp-appdata_intro", null ]
    ] ],
    [ "Code Pitfalls - Frequently made mistakes", "CodePitfalls.html", [
      [ "Comparing TriBool values", "CodePitfalls.html#TriBoolCompare", null ]
    ] ],
    [ "Environment Variables", "zypp-envars.html", [
      [ "Environment Variables", "zypp-envars.html#zypp-envars-intro", [
        [ "zypp config options", "zypp-envars.html#zypp-envars-config", null ],
        [ "Variables related to repositories", "zypp-envars.html#zypp-envars-repos", null ],
        [ "Variables related to commit", "zypp-envars.html#zypp-envars-commit", null ],
        [ "Variables related to logging", "zypp-envars.html#zypp-envars-logging", null ],
        [ "Selecting the mediabackend to use.", "zypp-envars.html#zypp-envars-mediabackend", null ],
        [ "Variables related to plugins", "zypp-envars.html#zypp-envars-plugin", null ],
        [ "Variables not for common use (test and debug)", "zypp-envars.html#zypp-envars-misc", null ]
      ] ]
    ] ],
    [ "Testing for provided features.", "feature-test.html", [
      [ "Introduction", "feature-test.html#intro", null ],
      [ "Features", "feature-test.html#features", null ]
    ] ],
    [ "Hardware (modalias) dependencies", "zypp-modalias.html", null ],
    [ "Code 12 Pattern Packages", "zypp-pattern-packages.html", [
      [ "Intro", "zypp-pattern-packages.html#zypp-pattern-packages_intro", null ]
    ] ],
    [ "Extending ZYpp: Plugins and Hooks", "zypp-plugins.html", "zypp-plugins" ],
    [ "Repository Variables", "zypp-repovars.html", [
      [ "Repository Variables", "zypp-repovars.html#zypp-repovars-intro", [
        [ "Builtin repository variables", "zypp-repovars.html#zypp-repoars-builtin", null ],
        [ "User defined repository variables [requires 'libzypp(repovarexpand) >= 1']", "zypp-repovars.html#zypp-repoars-userdefined", null ]
      ] ]
    ] ],
    [ "Services", "zypp-services.html", [
      [ "Classes of services", "zypp-services.html#service-types", [
        [ "Remote Services", "zypp-services.html#services-remote", null ],
        [ "Plugin Services", "zypp-services.html#services-plugin", null ]
      ] ],
      [ "Refreshing services", "zypp-services.html#service-refresh", null ],
      [ "Example usecases", "zypp-services.html#service-examples", [
        [ "Usecase #1: The project with multiple repositories and layers", "zypp-services.html#services-usecase-1", null ],
        [ "Usecase #2: Update repositories based on the customer", "zypp-services.html#services-usecase-2", null ],
        [ "Usecase #3: Dynamic repository collections", "zypp-services.html#services-usecase-3", null ],
        [ "Usecase #4: Collect openSUSE core repos in one service", "zypp-services.html#services-usecase-4", null ]
      ] ],
      [ "Developers: Implementation", "zypp-services.html#service-impl", null ]
    ] ],
    [ "Solver - Vendor protection", "pg_zypp-solv-vendorchange.html", [
      [ "Vendor protection rule", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange", [
        [ "The vendor protection rule is quite simple:", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-rule", null ]
      ] ],
      [ "Vendor protection tuning", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-tune", [
        [ "Groups of equivalent vendor strings", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-equiv", null ]
      ] ],
      [ "Related classes", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-Impl", null ]
    ] ],
    [ "Writing and tunning testcases", "Testcases.html", [
      [ "Introduction", "Testcases.html#Introduction", null ],
      [ "Anatomy of a ZYpp testcase", "Testcases.html#Anatomy", null ],
      [ "Building and running the testsuite", "Testcases.html#Building", null ],
      [ "References", "Testcases.html#References", null ]
    ] ],
    [ "Libzypp and threads", "thread.html", [
      [ "Libzypp and threads", "thread.html#thread_intro", [
        [ "Logging in threads", "thread.html#thread_loggin", null ]
      ] ]
    ] ],
    [ "User data as transaction id", "zypp-userdata.html", [
      [ "Introduction", "zypp-userdata.html#userdata-introduction", null ]
    ] ],
    [ "Todo List", "todo.html", null ],
    [ "Deprecated List", "deprecated.html", null ],
    [ "Modules", "modules.html", "modules" ],
    [ "Namespaces", "namespaces.html", [
      [ "Namespace List", "namespaces.html", "namespaces_dup" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", "namespacemembers_dup" ],
        [ "Functions", "namespacemembers_func.html", "namespacemembers_func" ],
        [ "Variables", "namespacemembers_vars.html", null ],
        [ "Typedefs", "namespacemembers_type.html", null ],
        [ "Enumerations", "namespacemembers_enum.html", null ],
        [ "Enumerator", "namespacemembers_eval.html", null ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", "functions_vars" ],
        [ "Typedefs", "functions_type.html", "functions_type" ],
        [ "Enumerations", "functions_enum.html", null ],
        [ "Enumerator", "functions_eval.html", "functions_eval" ],
        [ "Related Functions", "functions_rela.html", "functions_rela" ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", "globals_dup" ],
        [ "Functions", "globals_func.html", null ],
        [ "Variables", "globals_vars.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Macros", "globals_defs.html", "globals_defs" ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"APIConfig_8h.html",
"DefaultLoadSystem_8h.html#a17dc91fc4521efa9a3fb25bc4106701ea287d8fd2f1341d33345ed14566a3c1da",
"InstanceId_8h_source.html",
"MediaProducts_8h.html#a3bdc0b742b6428b3390de201ed59f51d",
"ProblemSolutionCombi_8cc_source.html",
"RepomdFileReader_8cc_source.html",
"SetRelationMixin_8h.html#a12422be6bd380607fd86d6a4b050326b",
"Target_8cc.html",
"base_2ExternalDataSource_8h.html",
"classzypp_1_1ByteCount.html#a25dfd74c26d6a0e5522e9b8b7a4de064",
"classzypp_1_1CheckSum.html#a4608aafe4aa063d914318882e95ec368",
"classzypp_1_1DefaultIntegral.html#afb9dae9092031e714349a8ee63e231d1",
"classzypp_1_1Fetcher_1_1Impl.html#aaebfa49c61e735b55a75b2fbf01244ab",
"classzypp_1_1IdStringType.html#acfa466f97a85784c0976a23fa26d5cca",
"classzypp_1_1LogThread.html#a95740344cf97e8e2e64124e8e4def0be",
"classzypp_1_1Patch.html#aab65ffd173db4e69ac1469e2d1fc576f",
"classzypp_1_1PoolItemBest.html#aca939ed4ca49cc830a4584be7d260bc7",
"classzypp_1_1ProgressData_1_1Data.html#a50642142e5a13e222d21bee0f3684c13",
"classzypp_1_1RepoStatus.html#a5f4294fa3caf136dbafa2ce2f9f5473a",
"classzypp_1_1ResPoolProxy.html#ad98892647b32c1009b7e19efe529c2e0",
"classzypp_1_1Resolver.html#aa3a6a71bb6372647382de83d8c805cf5",
"classzypp_1_1UpdateNotificationFile.html#a58b0c550d1efce019bbb28b5877a603c",
"classzypp_1_1ZConfig.html#ae9f725c9a48c51f8706f30334dce2091",
"classzypp_1_1base_1_1DrunkenBishop.html#aa1d4ff540ff6431010b4859128add2ad",
"classzypp_1_1debug_1_1Measure_1_1Impl.html#a9b265bd419ad3526399765debca4ec09",
"classzypp_1_1filesystem_1_1Pathname.html#a0a7eb7b7a43160283ce4d354e04d53b6",
"classzypp_1_1media_1_1AuthData.html#aeab672a2af53626a899c653a088b8ace",
"classzypp_1_1media_1_1MediaDISK.html#a934b50d601741f687cbf459838639bae",
"classzypp_1_1media_1_1MediaNetworkCommonHandler.html#ae93892f782d29d9c0e3dc96b82a15e12",
"classzypp_1_1media_1_1TransferSettings.html#af3c6c22f9d08c05ce624a132054ce178",
"classzypp_1_1parser_1_1IniDict.html#a6f64099f68362056d351eb2f562e8d29",
"classzypp_1_1repo_1_1PackageProviderImpl.html#a5ac921893b2acddf0f4e157d99aa3888",
"classzypp_1_1sat_1_1ArrayAttr.html#aa585426280045bf41f362dc4b72700d8",
"classzypp_1_1sat_1_1Pool.html#aca7697466f1dd09095019ea8b11c36c9",
"classzypp_1_1sat_1_1Solvable.html#ab8da9b35ab59590497fda213b14111d8",
"classzypp_1_1sat_1_1detail_1_1PoolImpl.html#a7bfff65b2cc5ee2753098a95dfabd364",
"classzypp_1_1syscontent_1_1Reader_1_1Impl.html#a8a9a8cf45b9f8dba31e48a10321b480b",
"classzypp_1_1target_1_1TargetImpl.html#a9778c3068c8076d560ae928306b0cee8",
"classzypp_1_1target_1_1rpm_1_1RpmNullDatabaseException.html#a8d0273bec3ba0ecd39e5a827a82e30bb",
"classzypp_1_1url_1_1UrlBase.html#a1581c9cdc26cf3c6df75f1e18f9d7380",
"classzypp_1_1xml_1_1XmlString.html#ab9054473884e533d6916bb3ede23293c",
"classzyppng_1_1HeaderValue.html#a3832db3a3e36aa92500350c9fa3f93a4",
"classzyppng_1_1NetworkRequestPrivate.html#a954253d8aef850e9253942528e981888",
"classzyppng_1_1ProvidePrivate.html#a12d51f21f7afc9e94abe6342af2cd889",
"classzyppng_1_1worker_1_1ProvideWorker.html#ab318e6b0c88cf0ff20ea3764d456321e",
"core_2base_2String_8h.html#a0cdeed22d27565faf825e1ab031d1813",
"core_2fs_2TmpPath_8h_source.html",
"functions_j.html",
"group__ZYPP__SMART__PTR.html#ga33b7f3e04aed98e0916aa4996fc64411",
"mount_8h.html",
"networkrequestdispatcher__p_8h_source.html",
"sat_2detail_2PoolImpl_8cc.html#ad838e05a345f10a0ec3e2721cb788d74",
"structzypp_1_1CpeId_1_1Value_1_1ETypeDef.html",
"structzypp_1_1KVMap.html#a4fcb6010dde373f5e1f205890bbc81a3",
"structzypp_1_1ProblemSolution_1_1Impl.html#a48cdfdb43f1b2c130a90b96a5ad9808a",
"structzypp_1_1RepoManager.html#a147dcafcd26abbd7f4fc492489b331a1",
"structzypp_1_1ResolverProblem_1_1Impl.html#af70c7a6b6630cb43ca1b4519a7d4464b",
"structzypp_1_1bit_1_1RangeBit.html#af9aae0c496b6d871656d94c147b61b0e",
"structzypp_1_1kvmap_1_1KVMapBase_1_1CharSep.html#acc1b9e02e5985e4c1ec4641b7d487ef8",
"structzypp_1_1parser_1_1ProductFileData_1_1Impl.html#aca6e492f464ec9499c60b5397d0827b1",
"structzypp_1_1resfilter_1_1ByName.html#aeb5a22394d06ef6e72fea8d788b67a22",
"structzypp_1_1str_1_1Str.html#a6249082b34fc91d30c59f4802fd06254",
"structzypp_1_1ui_1_1Selectable_1_1Impl.html#a98f0aef2d4633a6b4e0311d8ca1347a0",
"structzyppng_1_1BasicDownloaderStateBase.html#ad6a9be77e2576298fd0e3226c9f9185c",
"structzyppng_1_1ProvideStatus_1_1Stats.html#add94f077c177adcbe80d608cb6c07758"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';